/* Compiler: ECL 26.3.27                                                      */
/* Source: /build/ecl/src/ecl-26.3.27/src/cmp/cmpopt-num.lsp                  */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpopt-num.eclh"
/* local function LAMBDA3                                                     */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4017__lambda3(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4op_code;
  cl_object v5op1;
  cl_object v6op2;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4op_code = v7;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5op1 = v7;
  }
  if (!(v3==ECL_NIL)){
   goto L19;
  }
  si_dm_too_few_arguments(v1);
L19:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v6op2 = v7;
  }
  if (Null(v3)){
   goto L24;
  }
  si_dm_too_many_arguments(v1);
L24:;
  if (Null(cl_constantp(2, v4op_code, ecl_cmp_symbol_value(cl_env_copy,VV[3])))){
   goto L30;
  }
  {
   cl_object v7;
   v7 = (cl_env_copy->function=ecl_fdefinition(ECL_SYM("CONSTANT-FORM-VALUE",2161)))->cfun.entry(2, v4op_code, ecl_cmp_symbol_value(cl_env_copy,VV[3])) /*  CONSTANT-FORM-VALUE */;
   if (!((v7)==(ecl_make_int8_t(0)))){
    goto L33;
   }
   T0 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v5op1);
   T1 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v6op2);
   value0 = cl_list(4, ECL_SYM("PROGN",674), T0, T1, ecl_make_int8_t(0));
   goto L28;
L33:;
   if (!((v7)==(ecl_make_int8_t(15)))){
    goto L35;
   }
   T0 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v5op1);
   T1 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v6op2);
   value0 = cl_list(4, ECL_SYM("PROGN",674), T0, T1, ecl_make_int8_t(-1));
   goto L28;
L35:;
   if (!((v7)==(ecl_make_int8_t(3)))){
    goto L37;
   }
   T0 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v5op1);
   T1 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v6op2);
   value0 = cl_list(3, ECL_SYM("PROG1",672), T0, T1);
   goto L28;
L37:;
   if (!((v7)==(ecl_make_int8_t(5)))){
    goto L39;
   }
   T0 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v5op1);
   T1 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v6op2);
   value0 = cl_list(3, ECL_SYM("PROGN",674), T0, T1);
   goto L28;
L39:;
   if (!((v7)==(ecl_make_int8_t(12)))){
    goto L41;
   }
   T0 = cl_list(2, ECL_SYM("LOGNOT",505), v5op1);
   T1 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v6op2);
   value0 = cl_list(3, ECL_SYM("PROG1",672), T0, T1);
   goto L28;
L41:;
   if (!((v7)==(ecl_make_int8_t(10)))){
    goto L43;
   }
   T0 = cl_list(3, ECL_SYM("CHECKED-VALUE",2082), ECL_SYM("INTEGER",439), v5op1);
   T1 = cl_list(2, ECL_SYM("LOGNOT",505), v6op2);
   value0 = cl_list(3, ECL_SYM("PROGN",674), T0, T1);
   goto L28;
L43:;
   if (!((v7)==(ecl_make_int8_t(1)))){
    goto L45;
   }
   value0 = cl_list(3, ECL_SYM("LOGAND",494), v5op1, v6op2);
   goto L28;
L45:;
   if (!((v7)==(ecl_make_int8_t(7)))){
    goto L47;
   }
   value0 = cl_list(3, ECL_SYM("LOGIOR",502), v5op1, v6op2);
   goto L28;
L47:;
   if (!((v7)==(ecl_make_int8_t(6)))){
    goto L49;
   }
   value0 = cl_list(3, ECL_SYM("LOGXOR",509), v5op1, v6op2);
   goto L28;
L49:;
   if (!((v7)==(ecl_make_int8_t(9)))){
    goto L51;
   }
   value0 = cl_list(3, ECL_SYM("LOGEQV",499), v5op1, v6op2);
   goto L28;
L51:;
   if (!((v7)==(ecl_make_int8_t(14)))){
    goto L53;
   }
   value0 = cl_list(3, ECL_SYM("LOGNAND",503), v5op1, v6op2);
   goto L28;
L53:;
   if (!((v7)==(ecl_make_int8_t(8)))){
    goto L55;
   }
   value0 = cl_list(3, ECL_SYM("LOGNOR",504), v5op1, v6op2);
   goto L28;
L55:;
   if (!((v7)==(ecl_make_int8_t(4)))){
    goto L57;
   }
   value0 = cl_list(3, ECL_SYM("LOGANDC1",495), v5op1, v6op2);
   goto L28;
L57:;
   if (!((v7)==(ecl_make_int8_t(2)))){
    goto L59;
   }
   value0 = cl_list(3, ECL_SYM("LOGANDC2",496), v5op1, v6op2);
   goto L28;
L59:;
   if (!((v7)==(ecl_make_int8_t(13)))){
    goto L61;
   }
   value0 = cl_list(3, ECL_SYM("LOGORC1",506), v5op1, v6op2);
   goto L28;
L61:;
   if (!((v7)==(ecl_make_int8_t(11)))){
    goto L63;
   }
   value0 = cl_list(3, ECL_SYM("LOGORC2",507), v5op1, v6op2);
   goto L28;
L63:;
   value0 = ECL_NIL;
   goto L28;
  }
L30:;
  value0 = ECL_NIL;
  goto L28;
L28:;
  if (value0!=ECL_NIL) {
   goto L27;
  }
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
L27:;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4017__lambda3_va(cl_narg narg, cl_object v7, cl_object v8, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[1]);
 {
  return LC4017__lambda3(v7, v8);
 }
}
/* function definition for INLINE-BYTESPEC                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object L4018inline_bytespec(cl_object v1bytespec)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 if (!(ECL_CONSP(v1bytespec))){
  goto L3;
 }
 T0 = ecl_car(v1bytespec);
 if (!((ECL_SYM("BYTE",164))==(T0))){
  goto L3;
 }
 {
  cl_fixnum v2;
  v2 = ecl_length(v1bytespec);
  if (!((v2)==((cl_fixnum)(3)))){
   goto L3;
  }
 }
 value0 = (cl_env_copy->function=ecl_fdefinition(VV[5]))->cfun.entry(0) /*  POLICY-INLINE-BIT-OPERATIONS */;
 return value0;
L3:;
 value0 = ECL_NIL;
 cl_env_copy->nvalues = 1;
 return value0;
}
/* local function LAMBDA13                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4019__lambda13(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4bytespec;
  cl_object v5integer;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4bytespec = v6;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5integer = v6;
  }
  if (Null(v3)){
   goto L18;
  }
  si_dm_too_many_arguments(v1);
L18:;
  if (Null(L4018inline_bytespec(v4bytespec))){
   goto L20;
  }
  T0 = ecl_cadr(v4bytespec);
  T1 = cl_list(3, VV[8], T0, ECL_SYM("UNSIGNED-BYTE",889));
  T2 = ecl_caddr(v4bytespec);
  T3 = cl_list(3, VV[9], T2, ECL_SYM("UNSIGNED-BYTE",889));
  T4 = cl_list(2, T1, T3);
  T5 = cl_list(3, ECL_SYM("ASH",112), v5integer, VV[11]);
  T6 = cl_list(3, ECL_SYM("LOGAND",494), VV[10], T5);
  value0 = cl_list(3, VV[7], T4, T6);
  return value0;
L20:;
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4019__lambda13_va(cl_narg narg, cl_object v6, cl_object v7, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[6]);
 {
  return LC4019__lambda13(v6, v7);
 }
}
/* local function LAMBDA20                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4020__lambda20(cl_object v1, cl_object v2)
{
 cl_object T0, T1;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4bytespec;
  cl_object v5integer;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4bytespec = v6;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5integer = v6;
  }
  if (Null(v3)){
   goto L18;
  }
  si_dm_too_many_arguments(v1);
L18:;
  if (Null(L4018inline_bytespec(v4bytespec))){
   goto L20;
  }
  T0 = cl_list(3, ECL_SYM("MASK-FIELD",552), v4bytespec, v5integer);
  T1 = cl_list(2, ECL_SYM("ZEROP",930), T0);
  value0 = cl_list(2, ECL_SYM("NOT",586), T1);
  return value0;
L20:;
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4020__lambda20_va(cl_narg narg, cl_object v6, cl_object v7, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[12]);
 {
  return LC4020__lambda20(v6, v7);
 }
}
/* local function LAMBDA27                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4021__lambda27(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4bytespec;
  cl_object v5integer;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4bytespec = v6;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5integer = v6;
  }
  if (Null(v3)){
   goto L18;
  }
  si_dm_too_many_arguments(v1);
L18:;
  if (Null(L4018inline_bytespec(v4bytespec))){
   goto L20;
  }
  T0 = ecl_cadr(v4bytespec);
  T1 = cl_list(3, VV[14], T0, ECL_SYM("UNSIGNED-BYTE",889));
  T2 = ecl_caddr(v4bytespec);
  T3 = cl_list(3, VV[15], T2, ECL_SYM("UNSIGNED-BYTE",889));
  T4 = cl_list(2, T1, T3);
  T5 = cl_list(3, ECL_SYM("LOGAND",494), VV[16], v5integer);
  value0 = cl_list(3, VV[7], T4, T5);
  return value0;
L20:;
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4021__lambda27_va(cl_narg narg, cl_object v6, cl_object v7, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[13]);
 {
  return LC4021__lambda27(v6, v7);
 }
}
/* local function LAMBDA34                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4022__lambda34(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4newbyte;
  cl_object v5bytespec;
  cl_object v6integer;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4newbyte = v7;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5bytespec = v7;
  }
  if (!(v3==ECL_NIL)){
   goto L19;
  }
  si_dm_too_few_arguments(v1);
L19:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v6integer = v7;
  }
  if (Null(v3)){
   goto L24;
  }
  si_dm_too_many_arguments(v1);
L24:;
  if (Null(L4018inline_bytespec(v5bytespec))){
   goto L26;
  }
  T0 = ecl_cadr(v5bytespec);
  T1 = cl_list(3, VV[18], T0, ECL_SYM("UNSIGNED-BYTE",889));
  T2 = ecl_caddr(v5bytespec);
  T3 = cl_list(3, VV[19], T2, ECL_SYM("UNSIGNED-BYTE",889));
  T4 = cl_list(3, T1, T3, VV[20]);
  T5 = cl_list(3, ECL_SYM("ASH",112), v4newbyte, VV[19]);
  T6 = cl_list(3, ECL_SYM("LOGAND",494), T5, VV[21]);
  T7 = cl_list(3, ECL_SYM("LOGANDC2",496), v6integer, VV[21]);
  T8 = cl_list(3, ECL_SYM("LOGIOR",502), T6, T7);
  value0 = cl_list(3, VV[7], T4, T8);
  return value0;
L26:;
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4022__lambda34_va(cl_narg narg, cl_object v7, cl_object v8, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[17]);
 {
  return LC4022__lambda34(v7, v8);
 }
}
/* local function LAMBDA42                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4023__lambda42(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4newbyte;
  cl_object v5bytespec;
  cl_object v6integer;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4newbyte = v7;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5bytespec = v7;
  }
  if (!(v3==ECL_NIL)){
   goto L19;
  }
  si_dm_too_few_arguments(v1);
L19:;
  {
   cl_object v7;
   v7 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v6integer = v7;
  }
  if (Null(v3)){
   goto L24;
  }
  si_dm_too_many_arguments(v1);
L24:;
  if (Null(L4018inline_bytespec(v5bytespec))){
   goto L26;
  }
  T0 = ecl_cadr(v5bytespec);
  T1 = cl_list(3, VV[23], T0, ECL_SYM("UNSIGNED-BYTE",889));
  T2 = ecl_caddr(v5bytespec);
  T3 = cl_list(3, VV[24], T2, ECL_SYM("UNSIGNED-BYTE",889));
  T4 = cl_list(3, T1, T3, VV[25]);
  T5 = cl_list(3, ECL_SYM("LOGAND",494), v4newbyte, VV[26]);
  T6 = cl_list(3, ECL_SYM("LOGANDC2",496), v6integer, VV[26]);
  T7 = cl_list(3, ECL_SYM("LOGIOR",502), T5, T6);
  value0 = cl_list(3, VV[7], T4, T7);
  return value0;
L26:;
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4023__lambda42_va(cl_narg narg, cl_object v7, cl_object v8, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[22]);
 {
  return LC4023__lambda42(v7, v8);
 }
}
/* local function LAMBDA49                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4024__lambda49(cl_object v1, cl_object v2env)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4bytespec;
  cl_object v5int;
  v3 = ecl_cdr(v1);
  if (!(v3==ECL_NIL)){
   goto L4;
  }
  si_dm_too_few_arguments(v1);
L4:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4bytespec = v6;
  }
  if (!(v3==ECL_NIL)){
   goto L10;
  }
  si_dm_too_few_arguments(v1);
L10:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5int = v6;
  }
  if (Null(v3)){
   goto L15;
  }
  si_dm_too_many_arguments(v1);
L15:;
  {
   cl_object v6;                                  /*  TEMPS                   */
   cl_object v7;                                  /*  VALS                    */
   cl_object v8;                                  /*  STORES                  */
   cl_object v9;                                  /*  STORE-FORM              */
   cl_object v10;                                 /*  ACCESS-FORM             */
   value0 = (cl_env_copy->function=(ECL_SYM("GET-SETF-EXPANSION",412)->symbol.gfdef))->cfun.entry(2, v5int, v2env) /*  GET-SETF-EXPANSION */;
   {
    v6 = value0;
    v7 = cl_env_copy->values[1];
    v8 = cl_env_copy->values[2];
    v9 = cl_env_copy->values[3];
    v10 = cl_env_copy->values[4];
   }
   if (Null(L4018inline_bytespec(v4bytespec))){
    goto L18;
   }
   {
    cl_object v11bpos;
    cl_object v12bsize;
    cl_object v13store;
    cl_object v14btemp;
    cl_object v15stemp;
    v11bpos = cl_gensym(0);
    v12bsize = cl_gensym(0);
    v13store = cl_gensym(0);
    v14btemp = cl_list(3, ECL_SYM("BYTE",164), v11bpos, v12bsize);
    v15stemp = ecl_car(v8);
    T0 = cl_listX(3, v11bpos, v12bsize, v6);
    T1 = ecl_cadr(v4bytespec);
    T2 = ecl_caddr(v4bytespec);
    T3 = cl_listX(3, T1, T2, v7);
    T4 = ecl_list1(v13store);
    T5 = cl_list(4, ECL_SYM("DPB",320), v13store, v14btemp, v10);
    T6 = cl_list(2, v15stemp, T5);
    T7 = ecl_list1(T6);
    T8 = cl_list(4, ECL_SYM("LET",479), T7, v9, v13store);
    T9 = cl_list(3, ECL_SYM("LDB",459), v14btemp, v10);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T9;
    cl_env_copy->values[3] = T8;
    cl_env_copy->values[2] = T4;
    cl_env_copy->values[1] = T3;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
L18:;
   {
    cl_object v16btemp;
    cl_object v17store;
    cl_object v18stemp;
    v16btemp = cl_gensym(0);
    v17store = cl_gensym(0);
    v18stemp = ecl_car(v8);
    T0 = CONS(v16btemp,v6);
    T1 = CONS(v4bytespec,v7);
    T2 = ecl_list1(v17store);
    T3 = cl_list(4, ECL_SYM("DPB",320), v17store, v16btemp, v10);
    T4 = cl_list(2, v18stemp, T3);
    T5 = ecl_list1(T4);
    T6 = cl_list(4, ECL_SYM("LET",479), T5, v9, v17store);
    T7 = cl_list(3, ECL_SYM("LDB",459), v16btemp, v10);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T7;
    cl_env_copy->values[3] = T6;
    cl_env_copy->values[2] = T2;
    cl_env_copy->values[1] = T1;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
  }
 }
}
static cl_object LC4024__lambda49_va(cl_narg narg, cl_object v6, cl_object v7env, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[27]);
 {
  return LC4024__lambda49(v6, v7env);
 }
}
/* local function LAMBDA55                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4025__lambda55(cl_object v1, cl_object v2env)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4bytespec;
  cl_object v5int;
  v3 = ecl_cdr(v1);
  if (!(v3==ECL_NIL)){
   goto L4;
  }
  si_dm_too_few_arguments(v1);
L4:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4bytespec = v6;
  }
  if (!(v3==ECL_NIL)){
   goto L10;
  }
  si_dm_too_few_arguments(v1);
L10:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5int = v6;
  }
  if (Null(v3)){
   goto L15;
  }
  si_dm_too_many_arguments(v1);
L15:;
  {
   cl_object v6;                                  /*  TEMPS                   */
   cl_object v7;                                  /*  VALS                    */
   cl_object v8;                                  /*  STORES                  */
   cl_object v9;                                  /*  STORE-FORM              */
   cl_object v10;                                 /*  ACCESS-FORM             */
   value0 = (cl_env_copy->function=(ECL_SYM("GET-SETF-EXPANSION",412)->symbol.gfdef))->cfun.entry(2, v5int, v2env) /*  GET-SETF-EXPANSION */;
   {
    v6 = value0;
    v7 = cl_env_copy->values[1];
    v8 = cl_env_copy->values[2];
    v9 = cl_env_copy->values[3];
    v10 = cl_env_copy->values[4];
   }
   if (Null(L4018inline_bytespec(v4bytespec))){
    goto L18;
   }
   {
    cl_object v11bpos;
    cl_object v12bsize;
    cl_object v13store;
    cl_object v14btemp;
    cl_object v15stemp;
    v11bpos = cl_gensym(0);
    v12bsize = cl_gensym(0);
    v13store = cl_gensym(0);
    v14btemp = cl_list(3, ECL_SYM("BYTE",164), v11bpos, v12bsize);
    v15stemp = ecl_car(v8);
    T0 = cl_listX(3, v11bpos, v12bsize, v6);
    T1 = ecl_cadr(v4bytespec);
    T2 = ecl_caddr(v4bytespec);
    T3 = cl_listX(3, T1, T2, v7);
    T4 = ecl_list1(v13store);
    T5 = cl_list(4, ECL_SYM("DEPOSIT-FIELD",300), v13store, v14btemp, v10);
    T6 = cl_list(2, v15stemp, T5);
    T7 = ecl_list1(T6);
    T8 = cl_list(4, ECL_SYM("LET",479), T7, v9, v13store);
    T9 = cl_list(3, ECL_SYM("MASK-FIELD",552), v14btemp, v10);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T9;
    cl_env_copy->values[3] = T8;
    cl_env_copy->values[2] = T4;
    cl_env_copy->values[1] = T3;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
L18:;
   {
    cl_object v16btemp;
    cl_object v17store;
    cl_object v18stemp;
    v16btemp = cl_gensym(0);
    v17store = cl_gensym(0);
    v18stemp = ecl_car(v8);
    T0 = CONS(v16btemp,v6);
    T1 = CONS(v4bytespec,v7);
    T2 = ecl_list1(v17store);
    T3 = cl_list(4, ECL_SYM("DEPOSIT-FIELD",300), v17store, v16btemp, v10);
    T4 = cl_list(2, v18stemp, T3);
    T5 = ecl_list1(T4);
    T6 = cl_list(4, ECL_SYM("LET",479), T5, v9, v17store);
    T7 = cl_list(3, ECL_SYM("MASK-FIELD",552), v16btemp, v10);
    cl_env_copy->nvalues = 5;
    cl_env_copy->values[4] = T7;
    cl_env_copy->values[3] = T6;
    cl_env_copy->values[2] = T2;
    cl_env_copy->values[1] = T1;
    cl_env_copy->values[0] = T0;
    return cl_env_copy->values[0];
   }
  }
 }
}
static cl_object LC4025__lambda55_va(cl_narg narg, cl_object v6, cl_object v7env, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[28]);
 {
  return LC4025__lambda55(v6, v7env);
 }
}
/* local function LAMBDA62                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4026__lambda62(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  cl_object v4argument;
  cl_object v5shift;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  if (!(v3==ECL_NIL)){
   goto L7;
  }
  si_dm_too_few_arguments(v1);
L7:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v4argument = v6;
  }
  if (!(v3==ECL_NIL)){
   goto L13;
  }
  si_dm_too_few_arguments(v1);
L13:;
  {
   cl_object v6;
   v6 = ecl_car(v3);
   v3 = ecl_cdr(v3);
   v5shift = v6;
  }
  if (Null(v3)){
   goto L18;
  }
  si_dm_too_many_arguments(v1);
L18:;
  if (!(ECL_FIXNUMP(v4argument)||ECL_BIGNUMP(v4argument))){
   goto L20;
  }
  if (!(ECL_FIXNUMP(v5shift)||ECL_BIGNUMP(v5shift))){
   goto L20;
  }
  value0 = cl_ash(v4argument, v5shift);
  return value0;
L20:;
  if (Null((cl_env_copy->function=ecl_fdefinition(VV[30]))->cfun.entry(0) /*  POLICY-ASSUME-RIGHT-TYPE */)){
   goto L23;
  }
  if (!(ECL_FIXNUMP(v5shift)||ECL_BIGNUMP(v5shift))){
   goto L23;
  }
  if (!(ecl_zerop(v5shift))){
   goto L26;
  }
  value0 = v4argument;
  cl_env_copy->nvalues = 1;
  return value0;
L26:;
  value0 = cl_list(3, VV[31], v4argument, v5shift);
  return value0;
L23:;
  value0 = v1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
static cl_object LC4026__lambda62_va(cl_narg narg, cl_object v6, cl_object v7, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[29]);
 {
  return LC4026__lambda62(v6, v7);
 }
}
/* function definition for SIMPLIFY-ARITHMETIC                                */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object L4027simplify_arithmetic(cl_object v1operator, cl_object v2args, cl_object v3whole)
{
 cl_object T0, T1, T2, T3, T4, T5;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 T0 = (ECL_SYM("NUMBERP",609)->symbol.gfdef);
 if (Null(cl_every(2, T0, v2args))){
  goto L2;
 }
 value0 = cl_apply(2, v1operator, v2args);
 return value0;
L2:;
 {
  cl_object v4l;
  v4l = ecl_make_fixnum(ecl_length(v2args));
  if (!((ecl_fixnum(v4l))>((cl_fixnum)(2)))){
   goto L6;
  }
  T0 = v1operator;
  T1 = ecl_car(v2args);
  T2 = ecl_cadr(v2args);
  T3 = cl_list(2, T1, T2);
  T4 = L4027simplify_arithmetic(v1operator, T3, ECL_NIL);
  T5 = ecl_cddr(v2args);
  v2args = CONS(T4,T5);
  v3whole = ECL_NIL;
  v1operator = T0;
  goto L1;
L6:;
  if (!((ecl_fixnum(v4l))==((cl_fixnum)(2)))){
   goto L12;
  }
  value0 = v3whole;
  if (value0!=ECL_NIL) {
   goto L15;
  }
  value0 = CONS(v1operator,v2args);
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  if (!((ecl_fixnum(v4l))==((cl_fixnum)(1)))){
   goto L17;
  }
  if ((v1operator)==(ECL_SYM("*",20))) {
   goto L21;
  }
  if (!((v1operator)==(ECL_SYM("+",16)))){
   goto L19;
  }
  goto L20;
L21:;
L20:;
  value0 = ecl_car(v2args);
  cl_env_copy->nvalues = 1;
  return value0;
L19:;
  value0 = v3whole;
  if (value0!=ECL_NIL) {
   goto L24;
  }
  value0 = CONS(v1operator,v2args);
  cl_env_copy->nvalues = 1;
  return value0;
L24:;
  cl_env_copy->nvalues = 1;
  return value0;
L17:;
  if (!((v1operator)==(ECL_SYM("*",20)))){
   goto L26;
  }
  value0 = ecl_make_int8_t(1);
  cl_env_copy->nvalues = 1;
  return value0;
L26:;
  if (!((v1operator)==(ECL_SYM("+",16)))){
   goto L28;
  }
  value0 = ecl_make_int8_t(0);
  cl_env_copy->nvalues = 1;
  return value0;
L28:;
  value0 = v3whole;
  if (value0!=ECL_NIL) {
   goto L32;
  }
  T0 = CONS(v1operator,v2args);
  goto L30;
L32:;
  T0 = value0;
  goto L30;
L30:;
  T1 = cl_list(2, v1operator, T0);
  value0 = cl_error(5, VV[33], VV[34], VV[35], ECL_SYM("FORMAT-ARGUMENTS",1271), T1);
  return value0;
 }
}
static cl_object L4027simplify_arithmetic_va(cl_narg narg, cl_object v5operator, cl_object v6args, cl_object v7whole, ...)
{
 if (ecl_unlikely(narg!=3)) FEwrong_num_arguments(VV[32]);
 {
  return L4027simplify_arithmetic(v5operator, v6args, v7whole);
 }
}
/* local function LAMBDA70                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4028__lambda70(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  value0 = L4027simplify_arithmetic(ECL_SYM("*",20), v3, v1);
  return value0;
 }
}
static cl_object LC4028__lambda70_va(cl_narg narg, cl_object v4, cl_object v5, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[37]);
 {
  return LC4028__lambda70(v4, v5);
 }
}
/* local function LAMBDA75                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4029__lambda75(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  value0 = L4027simplify_arithmetic(ECL_SYM("+",16), v3, v1);
  return value0;
 }
}
static cl_object LC4029__lambda75_va(cl_narg narg, cl_object v4, cl_object v5, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[38]);
 {
  return LC4029__lambda75(v4, v5);
 }
}
/* local function LAMBDA80                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4030__lambda80(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  value0 = L4027simplify_arithmetic(ECL_SYM("/",23), v3, v1);
  return value0;
 }
}
static cl_object LC4030__lambda80_va(cl_narg narg, cl_object v4, cl_object v5, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[39]);
 {
  return LC4030__lambda80(v4, v5);
 }
}
/* local function LAMBDA85                                                    */
/* optimize speed 1, debug 1, space 1, safety 2                               */
static cl_object LC4031__lambda85(cl_object v1, cl_object v2)
{
 cl_object T0;
 cl_object env0 = ECL_NIL;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
L1:;
 {
  cl_object v3;
  T0 = ecl_car(v1);
  if (!((T0)==(ECL_SYM("FUNCALL",396)))){
   goto L3;
  }
  T0 = ecl_caadr(v1);
  if (!((T0)==(ECL_SYM("FUNCTION",398)))){
   goto L3;
  }
  v3 = ecl_cddr(v1);
  goto L2;
L3:;
  v3 = ecl_cdr(v1);
L2:;
  value0 = L4027simplify_arithmetic(ECL_SYM("-",19), v3, v1);
  return value0;
 }
}
static cl_object LC4031__lambda85_va(cl_narg narg, cl_object v4, cl_object v5, ...)
{
 if (ecl_unlikely(narg!=2)) FEwrong_num_arguments(VV[40]);
 {
  return LC4031__lambda85(v4, v5);
 }
}
#include "cmp/cmpopt-num.data"
#ifdef __cplusplus
extern "C"
#endif

ECL_DLLEXPORT void _ecliKEDFZkauxDm9_f3f0M881(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = ecl_make_constant_base_string("SRC:CMP;CMPOPT-NUM.LSP.NEWEST",-1);
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_ecliKEDFZkauxDm9_f3f0M881@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 {
  cl_object T0;
  cl_object volatile env0 = ECL_NIL;
/* MAKE-LOAD-FORMs                                                            */
/* TOP-LEVEL-FORMs                                                            */
  si_select_package(VVtemp[0]);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4017__lambda3_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("BOOLE",140), ECL_SYM("COMPILER-MACRO",240), T0);
  (void)0; /* No entry created for INLINE-BYTESPEC */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4019__lambda13_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("LDB",459), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4020__lambda20_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("LDB-TEST",460), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4021__lambda27_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("MASK-FIELD",552), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4022__lambda34_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("DPB",320), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4023__lambda42_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("DEPOSIT-FIELD",300), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4024__lambda49_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_do_define_setf_method(ECL_SYM("LDB",459), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4025__lambda55_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_do_define_setf_method(ECL_SYM("MASK-FIELD",552), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4026__lambda62_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("ASH",112), ECL_SYM("COMPILER-MACRO",240), T0);
  ecl_cmp_defun(VV[41]);                          /*  SIMPLIFY-ARITHMETIC     */
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4028__lambda70_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("*",20), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4029__lambda75_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("+",16), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4030__lambda80_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("/",23), ECL_SYM("COMPILER-MACRO",240), T0);
  {
   cl_object volatile v1;
   v1 = ecl_make_cfun_va((cl_objectfn)LC4031__lambda85_va,ECL_NIL,Cblock,2);
   T0 = v1;
  }
  si_put_sysprop(ECL_SYM("-",19), ECL_SYM("COMPILER-MACRO",240), T0);
 }
}
